<!-- ================================================================== -->
<!-- File:
	$Id: blog.mrc,v 1.6 2003/04/18 04:44:52 ry4an Exp $
     Author:
	Earl Hood <earl@earlhood.com>
        minor modifications by Ry4an Brase <ry4an at ry4an dot org>

     Description:
	MHonArc, <http://www.mhonarc.org/>, resource file to
	generate a "blogger"-style archive.  I.e.  All messages
	are displayed on a single page.

     Dependencies:
	For things to work, server-side includes must be enabled
	for .shtml files in the directory the archive will exist.
  -->
<!-- ================================================================== -->

<!-- Sort messages by date. -->
<Sort>
<Reverse>
<MsgExcFilter>
!/From: .*\bry4an(-\w+)?\@ry4an.org/im ||
/^Subject:\s+Re:/im;
</MsgExcFilter>
<SpamMode>

<!-- Create a Thread Index -->
<NoThread>

<!-- Create a RSS feed too -->
<OTHERINDEXES>
rss.mrc
</OTHERINDEXES>

<TITLE>
Ry4an's Un-Blog
</TITLE>

<TTITLE>
Ry4an's Un-Blog
</TTITLE>

<idxsize>
10
</idxsize>

<!-- ================================================================== -->
<!--  Main Index Page							-->
<!-- ================================================================== -->

<!-- Make sure main index page has proper extension for SSI. -->
<IdxFname>
index.shtml
</IdxFname>

<!--	Set USELOCALTIME since local date formats are used when displaying
	dates.
  -->
<UseLocalTime>

<!--    Define message local date format to print day of the week, month,
	month day, and year.  Format used for day group heading.
  -->
<MsgLocalDateFmt>
%A, %B %d, %Y at %I:%M%p
</MsgLocalDateFmt>


<!-- We define beginning markup to include style definitions. -->
<IdxPgBegin>
<!doctype html public "-//W3C//DTD HTML//EN">
<html>
<head>
<title>$IDXTITLE$</title>
</head>
<style type="text/css">
.msg_subject {
  border-color: black;
  border-style: solid;
  border-width: thin;
  color: white;
  background-color: gray;
  font-weight: bold;
  padding-top: 0em;
  margin-top: 0em;
  padding-bottom: 0em;
  margin-bottom: 0.25em;
}
</style>
<body>
<center><h1>$IDXTITLE$</h1>
<h3>It's not a blog.  It's a mailing list.</h3></center>
</IdxPgBegin>

<!-- The index listing will just be a list of SSI directives. -->
<ListBegin>
<table width="100%"><tr valign=top><td width="70%">
</ListBegin>
<LiTemplate>
<h3 class="msg_subject">$SUBJECTNA$</h3>
<!--#include file="blog/$MSG$" -->
<br>($MSGLOCALDATE$ | <a href="$MSG$">#</a> | <a href="$MSG$">Read Comments</a> | <a href="mailto:unblog@ry4an.org?subject=Re: $SUBJECTNA$">Post a Comment</a>)
<p>
</LiTemplate>
<ListEnd>
</td><td bgcolor="#c0c0c0" width="30%">
<!--#include file="blog/column.html" -->
</td></tr></table>
</ListEnd>

<!-- ================================================================== -->
<!--  Message Page							-->
<!-- ================================================================== -->
<!--	For message pages, we remove any <html>, et. al. markup
	since they will not be stand-alone documents but included
	by the index page.
  -->

<!-- Disable follow-up/references section.  This is probably a matter
     of personal preference,  If enabled, the FOLUPLITXT and REFSLITXT
     resources will need to be modified to have relative links to
     messages.
  -->
<FolRefs>

<!-- Clear out beginning markup. -->
<MsgPgBegin>

</MsgPgBegin>
<TopLinks>

</TopLinks>

<!-- This will be are physical separator for messages. -->
<SubjectHeader>

</SubjectHeader>

<!-- Only display a very minimal message header.  We already
     rolled a mini-header in SUBJECTHEADER, so we only include
     any additional fields that cannot be referenced via resource
     variables.
     
     We make the style the same as the mini-header above.
  -->
<FieldsBeg>

</FieldsBeg>
<LabelBeg>

</LabelBeg>
<LabelEnd>

</LabelEnd>
<FldBeg>

</FldBeg>
<FldEnd>

</FldEnd>
<FieldsEnd>

</FieldsEnd>

<FieldOrder>

</FieldOrder>

<HeadBodySep>

</HeadBodySep>

<!-- Clear out ending markup. -->
<MsgBodyEnd>

</MsgBodyEnd>
<BotLinks>

</BotLinks>
<MsgPgEnd>

</MsgPgEnd>

